# 基本介绍

## yite-cli 是什么？

`yite-cli` 是一个基于 `vite` 深度封装的 `方便`、`好用`、`强大` 的`vue3` 项目开发脚手架。

## 项目宗旨

约定大于配置！

`约定` 大于 `配置` 是本项目的核心宗旨。

那么什么是 `约定大于配置` 呢？百科解释如下：

> 约定优于配置（convention over configuration），也称作按约定编程，是一种软件设计范式，旨在减少软件开发人员需做出决定的数量，活得简单的好处，而又不失灵活性。

约定优于配置，并不是零配置或者完全没有配置，而是通过约定来减少配置！！！

只有理解好这个概念，才能用好 `yite-cli` 脚手架。

## 有哪些约定

-   仅支持使用 `scss` 语法，`less`，`stylus` 都不支持。
-   图标库默认使用 `icones` 的 1 万多个图标

## 什么情况避免使用

-   路由数量大于 500 的中大型项目
-   对开发灵活性要求高的项目

## 什么情况推荐使用

-   中小型且没有动态路由的项目
-   需要快速开发、便于扩展、利于维护的项目

## 有什么功能特性

-   不需要手写路由配置，文件结构即时路由
-   默认提供 `i18n` 国际化多语言支持
-   环境变量放到 `src/env` 目录中，便于管理
-   默认提供自动导入文件、配置、组件、插件等
-   灵活可控的项目骨架（`layout`）
-   默认提供封装好的全局 `pinia` 存储方案
-   默认提供 `scss` 变量自动导入
-   默认提供强大的工具函数
-   默认提供 `vite` 预构建配置，解决页面重新加载的问题
-   极少的项目依赖，所有开发依赖都在脚手架中
-   默认提供 `git` 提交时格式化支持

## 有什么优势

-   大量自动特性，提高效率
-   大量约定配置，提高项目稳定性
-   提供完整且完善的基本项目开发模板

## 代码贡献

为了防止潜在的版权纠纷问题，本仓库不接受任何人的代码 `PR`，但是非常欢迎任何人的，有效的建议和反馈。

如有功能问题，设计问题等，请提 `issur` 或者联系作者，由其本人修复问题，实现功能。

## 作者简介

| 属性     | 值                                                    |
| -------- | ----------------------------------------------------- |
| 姓名     | `陈随易`                                              |
| 微信     | `c91374286` 或 `nolimitluandou`                       |
| 扣扣     | `24323626(用得少)`                                    |
| 邮箱     | `bimostyle@qq.com`                                    |
| 知乎     | [知乎陈随易](https://www.zhihu.com/people/chensuiyi)  |
| 掘金     | [掘金陈随易](https://juejin.im/user/1239904846873326) |
| 码云     | [码云陈随易](https://gitee.com/banshiweichen)         |
| github   | [github 陈随易](https://github.com/chenbimo)          |
| 交流探讨 | 创建了 `全球顶级程序员微信交流群`，加入交流请加我微信 |
